#include "adc.h"
#include "uart.h"
#include "timer.h"
#include "mouse.h"

static void hardware_init(void)
{
  /* Disable interrupts */
  asm("clrpsw i");

  uart0_setup();
  timer_setup();
  adc_setup();

  /* Enable interrupts */
  asm("setpsw i");
}

int main(void)
{
  hardware_init();
  mouse_loop();
  return 0;
}

